#include <iostream>

using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    long long n, k;
    cin >> n >> k;
    long long a[n];
    for(long long i=0;i<n;i++){
        cin >> a[i];
    }

    long long r[n], br=0, l=0, d=n-k+1;
    for(long long i=0;i<n-k;i++){
        long long m=1000000001, mi=0;
        //cout << l << " " << d << endl;
        for(long long j=l;j<=d;j++){
            if(a[j]<m){
                m=a[j];
                mi=j;
            }
        }
        r[br]=m;
        br++;
        l=1+mi;
        d++;
    }

    for(long long i=0;i<n-k;i++){
        cout << r[i] << " ";
    }
    return 0;
}